Are Your Developers Ready For PCI-DSS 4.0?

Logo
Presented by

Michael Burch, Director of Application Security at Security Journey

About this talk

The latest version of the Payment Card Industry Data Security Standard (PCI DSS), version 4.0, was released in March 2022. Although the requirements won't take effect until 2025, it's crucial to start preparing now. Director of Application Security Mike Burch discusses the new PCI-DSS v4.0, including: - An Explanation of PCI-DSS - An Overview of PCI-DSS v4.0 Requirements - Review of PCI-DSS Requirement 6 - How to Get Developers Trained to be Compliant with PCI-DSS Continuous secure coding training for your SDLC can meet many updates and new requirements in PCI DSS v4.0. By leveraging Security Journey's training platform, organizations can drive PCI training success by providing highly effective, engaging, and customizable training programs that enable employees to learn and apply the best practices for securing payment card information. Read More: https://www.securityjourney.com/post/what-you-need-to-know-about-secure-coding-training-for-pci-dss-v4.0-requirements
Related topics:

More from this channel

Upcoming talks (0)
On-demand talks (14)
Subscribers (1349)
Security Journey offers robust application security education tools to help developers and the entire SDLC team recognize and understand vulnerabilities and threats and proactively mitigate these risks. The knowledge learners acquire in our programs goes beyond helping learners code more securely – it turns everyone in the SDLC into security champions.